library IEEE;

use IEEE.STD_LOGIC_1164.all;
use IEEE.NUMERIC_STD.ALL;

package wishbone_driver_pkg is
   component wishbone_driver is
      generic(g_WB_DATA_O_LENGTH : NATURAL := 32;
              g_WB_DATA_I_LENGTH : NATURAL := 32;
              g_WB_ADDR_LENGTH   : NATURAL := 6;
              g_WB_CLK_PERIOD : TIME    := 50 ns);
      port(wb_clk_i  : in STD_LOGIC;
           wb_rst_i  : in STD_LOGIC;

           wb_stb_o  : out STD_LOGIC;
           wb_cyc_o  : out STD_LOGIC;
           wb_sel_o  : out STD_LOGIC_VECTOR(3  downto 0);
           wb_we_o   : out STD_LOGIC;
           wb_data_i : in  STD_LOGIC_VECTOR(g_WB_DATA_I_LENGTH - 1 downto 0);
           wb_data_o : out STD_LOGIC_VECTOR(g_WB_DATA_O_LENGTH - 1 downto 0);
           wb_addr_o : out STD_LOGIC_VECTOR(g_WB_ADDR_LENGTH   - 1 downto 0);
           wb_ack_i  : in  STD_LOGIC;
           wb_rty_i  : in  STD_LOGIC;
           wb_err_i  : in  STD_LOGIC;

           data_i    : in  STD_LOGIC_VECTOR(g_WB_DATA_O_LENGTH - 1 downto 0);
           data_o    : out STD_LOGIC_VECTOR(g_WB_DATA_I_LENGTH - 1 downto 0);
           addr_i    : in  STD_LOGIC_VECTOR(g_WB_ADDR_LENGTH   - 1 downto 0);

           write_i          : in  STD_LOGIC;
           write_done_o     : out STD_LOGIC;
           read_i           : in  STD_LOGIC;
           read_done_o      : out STD_LOGIC);
   end  component;
end wishbone_driver_pkg;

package body wishbone_driver_pkg is
end wishbone_driver_pkg;
