cd golden_image
cd xilinx

rem run xilinx tools through synthesis, ngdbuild, map, place & route, and bitgen for "golden_image"
call run_xilinx_tools.bat

cd ..
cd ..

cd multiboot_image
cd xilinx

rem run xilinx tools through synthesis, ngdbuild, map, place & route, and bitgen for "multiboot_image"
call run_xilinx_tools.bat

cd ..
cd ..

cd PROM_files

del *.mcs

rem convert boot header file from editable HEX file to MCS file
rem (i.e. edit boot header HEX to change jump addresses for golden and multiboot images)
promgen -w -p mcs -r boot_header_only_SPI_x1.hex -o boot_header_only_SPI_x1.mcs

rem create combined MCS with golden and multiboot images but missing boot header MCS
promgen -w -p mcs -spi -s 16384 -u 010000 ../golden_image/xilinx/results/golden_SP605_SPI_x1.bit -u 400000 ../multiboot_image/xilinx/results/multiboot_SP605_SPI_x1.bit -o incomplete_dual_image_SP605.mcs


rem combine boot header with golden and multiboot image into one MCS file for iMPACT
type boot_header_only_SPI_x1.mcs incomplete_dual_image_SP605.mcs > header_golden_multiboot.mcs
rem delete intermediate MCS files to avoid confusion
del incomplete_dual_image_SP605.*
cd ..

